Update gitignore to the one used in tye 2.0 branch.